Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# stateset.hh File Reference

An AtkStateSet C++ wrapper interface. More...

`#include <xfc/glib/object.hh>`
`#include <atk/atkstateset.h>`
`#include <vector>`
`#include <xfc/atk/inline/stateset.inl>`

## Namespaces

- namespace Xfc
- namespace Xfc::Atk

## Classes

- class Xfc::Atk::StateSet
    An AtkStateSet C++ wrapper class. More...

## StateType Methods

- StateType state_type_register (const String &name)
    Register a new object state.
- String state_type_get_name (StateType type)
    Gets the description string describing the StateType type.
- StateType state_type_for_name (const String &name)
    Gets the StateType corresponding to the description string name.

## Enumerations

- enum StateType {
  STATE_INVALID = ATK_STATE_INVALID,
  STATE_ACTIVE = ATK_STATE_ACTIVE,
  STATE_ARMED = ATK_STATE_ARMED,
  STATE_BUSY = ATK_STATE_BUSY,
  STATE_CHECKED = ATK_STATE_CHECKED,
  STATE_DEFUNCT = ATK_STATE_DEFUNCT,
  STATE_EDITABLE = ATK_STATE_EDITABLE,
  STATE_ENABLED = ATK_STATE_ENABLED,
  STATE_EXPANDABLE = ATK_STATE_EXPANDABLE,
  STATE_EXPANDED = ATK_STATE_EXPANDED,
  STATE_FOCUSABLE = ATK_STATE_FOCUSABLE,
  STATE_FOCUSED = ATK_STATE_FOCUSED,
  STATE_HORIZONTAL = ATK_STATE_HORIZONTAL,
  STATE_ICONIFIED = ATK_STATE_ICONIFIED,
  STATE_MODAL = ATK_STATE_MODAL,
  STATE_MULTI_LINE = ATK_STATE_MULTI_LINE,
  STATE_MULTISELECTABLE = ATK_STATE_MULTISELECTABLE,
  STATE_OPAQUE = ATK_STATE_OPAQUE,
  STATE_PRESSED = ATK_STATE_PRESSED,
  STATE_RESIZABLE = ATK_STATE_RESIZABLE,
  STATE_SELECTABLE = ATK_STATE_SELECTABLE,
  STATE_SELECTED = ATK_STATE_SELECTED,
  STATE_SENSITIVE = ATK_STATE_SENSITIVE,
  STATE_SHOWING = ATK_STATE_SHOWING,
  STATE_SINGLE_LINE = ATK_STATE_SINGLE_LINE,
  STATE_STALE = ATK_STATE_STALE,
  STATE_TRANSIENT = ATK_STATE_TRANSIENT,
  STATE_VERTICAL = ATK_STATE_VERTICAL,
  STATE_VISIBLE = ATK_STATE_VISIBLE,
  STATE_MANAGES_DESCENDANTS = ATK_STATE_MANAGES_DESCENDANTS,
  STATE_INDETERMINATE = ATK_STATE_INDETERMINATE,
  STATE_LAST_DEFINED = ATK_STATE_LAST_DEFINED
  }
    The possible types of states of an object. More...

## Detailed Description

An AtkStateSet C++ wrapper interface.

Provides StateSet, an object that determines a component's state set.

## Enumeration Type Documentation

enum StateType

The possible types of states of an object.

Enumeration values:

  STATE_INVALID | Indicates an invalid state.
  STATE_ACTIVE | Indicates a window is currently the active window.
  STATE_ARMED | Indicates that the object is armed.
  STATE_BUSY | Indicates the current object is busy.
  STATE_CHECKED | Indicates this object is currently checked.
  STATE_DEFUNCT | Indicates the user interface object corresponding to this object no longer exists.
  STATE_EDITABLE | Indicates the user can change the contents of this object.
  STATE_ENABLED | Indicates that this object is enabled.
  STATE_EXPANDABLE | Indicates this object allows progressive disclosure of its children.
  STATE_EXPANDED | Indicates this object its expanded.
  STATE_FOCUSABLE | Indicates this object can accept keyboard focus, which means all events resulting from typing on the keyboard will normally be passed to it when it has focus.
  STATE_FOCUSED | Indicates this object currently has the keyboard focus.
  STATE_HORIZONTAL | Indicates the orientation of this object is horizontal.
  STATE_ICONIFIED | Indicates this object is minimized and is represented only by an icon.
  STATE_MODAL | Indicates something must be done with this object before the user can interact with an object in a different window.
  STATE_MULTI_LINE | Indicates this (text) object can contain multiple lines of text.
  STATE_MULTISELECTABLE | Indicates this object allows more than one of its children to be selected at the same time.
  STATE_OPAQUE | Indicates this object paints every pixel within its rectangular region.
  STATE_PRESSED | Indicates this object is currently pressed.
  STATE_RESIZABLE | Indicates the size of this object is not fixed.
  STATE_SELECTABLE | Indicates this object is the child of an object that allows its children to be selected and that this child is one of those children that can be selected.
  STATE_SELECTED | Indicates this object is the child of an object that allows its children to be selected and that this child is one of those children that has been selected.
  STATE_SENSITIVE | Indicates this object is sensitive.
  STATE_SHOWING | Indicates this object, the object's parent, the object's parent's parent, and so on, are all visible.
  STATE_SINGLE_LINE | Indicates this (text) object can contain only a single line of text.
  STATE_STALE | Indicates that the index associated with this object has changed since the user accessed the object.
  STATE_TRANSIENT | Indicates this object is transient.
  STATE_VERTICAL | Indicates the orientation of this object is vertical.
  STATE_VISIBLE | Indicates this object is visible.
  STATE_MANAGES_DESCENDANTS | Indicates that "active-descendant-changed" event is sent when children become 'active' (that is, are selected or navigated to onscreen); used to prevent the need to enumerate all children in very large containers, like tables.
  STATE_INDETERMINATE | Indicates that a check box is in a state other than checked or not checked.
  STATE_LAST_DEFINED | Not a valid role, used for finding end of enumeration.

## Function Documentation

StateType state_type_for_name | ( | const String & | name | ) |

Gets the StateType corresponding to the description string name.

Parameters:

  | name | A character string state name.

Returns:
  A StateType corresponding to name.

String state_type_get_name | ( | StateType | type | ) |

Gets the description string describing the StateType type.

Parameters:

  | type | The StateType whose name is required.

Returns:
  A string describing the StateType.

StateType state_type_register | ( | const String & | name | ) |

Register a new object state.

Parameters:

  | name | A character string describing the new state.

Returns:
  A State value for the new state.

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3